You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     c...@freebsd.org
Last committer: a...@freebsd.org
Ident:          $FreeBSD: head/misc/gman/Makefile 316464 2013-04-24 18:10:30Z 
ak $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s/logs/gman-0.9.3_11.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s
Log:

====>> Building misc/gman
build started at Thu Sep 19 06:44:46 UTC 2013
port directory: /usr/ports/misc/gman
building for: FreeBSD head-amd64-default-job-04 10.0-CURRENT FreeBSD 
10.0-CURRENT amd64
maintained by: c...@freebsd.org
Makefile ident:      $FreeBSD: head/misc/gman/Makefile 316464 2013-04-24 
18:10:30Z ak $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000055
UNAME_v=FreeBSD 10.0-CURRENT
UNAME_r=10.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=91430
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=gman-0.9.3_11
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
GLIB_CONFIG="/usr/local/bin/glib12-config" 
GTK_CONFIG="/usr/local/bin/gtk12-config"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
GLIB_CONFIG="/usr/local/bin/glib12-config" 
GTK_CONFIG="/usr/local/bin/gtk12-config" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing -std=gnu89"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing -L/usr/local/lib"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/gman
DOCSDIR=/usr/local/share/doc/gman
EXAMPLESDIR=/usr/local/share/examples/gman
WWWDIR=/usr/local/www/gman
ETCDIR=/usr/local/etc/gman
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for gman-0.9.3_11
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   gman-0.9.3_11 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of gman-0.9.3_11
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by gman-0.9.3_11 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by gman-0.9.3_11 for building
=> SHA256 Checksum OK for gman_0.9.3.orig.tar.gz.
=> SHA256 Checksum OK for gman_0.9.3-5.diff.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by gman-0.9.3_11 for building
===>  Extracting for gman-0.9.3_11
=> SHA256 Checksum OK for gman_0.9.3.orig.tar.gz.
=> SHA256 Checksum OK for gman_0.9.3-5.diff.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for gman-0.9.3_11
===>  Applying distribution patches for gman-0.9.3_11
===>  Applying FreeBSD patches for gman-0.9.3_11
===========================================================================
=======================<phase: build-depends  >============================
===>   gman-0.9.3_11 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3... done
 done
===>   Returning to build of gman-0.9.3_11
===========================================================================
=======================<phase: lib-depends    >============================
===>   gman-0.9.3_11 depends on shared library: jpeg.11 - not found
===>    Verifying install for jpeg.11 in /usr/ports/graphics/jpeg
===>   Installing existing package /packages/All/jpeg-8_4.txz
Installing jpeg-8_4... done
===>   Returning to build of gman-0.9.3_11
===>   gman-0.9.3_11 depends on shared library: intl - found
===>   gman-0.9.3_11 depends on shared library: glib-12.3 - not found
===>    Verifying install for glib-12.3 in /usr/ports/devel/glib12
===>   Installing existing package /packages/All/glib12-1.2.10_13.txz
Installing glib12-1.2.10_13... done
===>   Returning to build of gman-0.9.3_11
===>   gman-0.9.3_11 depends on shared library: gtk-12.2 - not found
===>    Verifying install for gtk-12.2 in /usr/ports/x11-toolkits/gtk12
===>   Installing existing package /packages/All/gtk-1.2.10_22.txz
Installing gtk-1.2.10_22...Installing xproto-7.0.24... done
Installing xextproto-7.2.1... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
libX11-1.6.1,1...Installing kbproto-1.0.6... done
 done
Installing fixesproto-5.0... done
 done
Installing libXext-1.3.2,1... done
Installing inputproto-2.3... done
 done
Installing libSM-1.2.1,1...Installing libICE-1.0.8,1... done
 done
 done
===>   Returning to build of gman-0.9.3_11
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for gman-0.9.3_11
===========================================================================
=======================<phase: build          >============================
===>  Building for gman-0.9.3_11
gmake[1]: Entering directory `/wrkdirs/usr/ports/misc/gman/work/gman-0.9.3'
c++ -O2 -pipe -fno-strict-aliasing -L/usr/local/lib -DVERSION=\"0.9.3\" 
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include -L/usr/local/lib -L/usr/local/lib -lgtk-12 -lgdk-12 
-lgmodule-12 -lglib-12 -lintl -lXi -lXext -lX11 -lm  -Wall  -O2 -pipe 
-fno-strict-aliasing -std=gnu89   -c -o menu.o menu.c
c++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is 
deprecated
c++: warning: -lgtk-12: 'linker' input unused
c++: warning: -lgdk-12: 'linker' input unused
c++: warning: -lgmodule-12: 'linker' input unused
c++: warning: -lglib-12: 'linker' input unused
c++: warning: -lintl: 'linker' input unused
c++: warning: -lXi: 'linker' input unused
c++: warning: -lXext: 'linker' input unused
c++: warning: -lX11: 'linker' input unused
c++: warning: -lm: 'linker' input unused
c++: warning: argument unused during compilation: '-L/usr/local/lib'
c++: warning: argument unused during compilation: '-L/usr/local/lib'
c++: warning: argument unused during compilation: '-L/usr/local/lib'
error: invalid argument '-std=gnu89' not allowed with 'C++/ObjC++'
gmake[1]: *** [menu.o] Error 1
gmake[1]: Leaving directory `/wrkdirs/usr/ports/misc/gman/work/gman-0.9.3'
*** Error code 1

Stop.
make: stopped in /usr/ports/misc/gman
===>  Cleaning for gman-0.9.3_11
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to